> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recently added contacts from a list

> For a given HubID and a given list, return contacts that have been recently added to that list, starting with the most recently added contact and paging backwards.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json GET /contacts/v1/lists/{list_id}/contacts/recent
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/{list_id}/contacts/recent:
    get:
      summary: Get recently added contacts from a list
      description: >-
        For a given HubID and a given list, return contacts that have been
        recently added to that list, starting with the most recently added
        contact and paging backwards.
      operationId: getcontactsv1listslistidcontactsrecent
      parameters:
        - name: list_id
          in: path
          required: true
          description: Unique identifier for the list you're looking for.
          schema:
            type: integer
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of contacts to return in
            your API call. The default is 20 contacts. The maximum is 100.
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: timeOffset
          in: query
          required: false
          description: >-
            Used in conjunction with the vidOffset parameter to page through the
            recent contacts. Every call to this endpoint will return a
            time-offset value.
          schema:
            type: integer
        - name: vidOffset
          in: query
          required: false
          description: >-
            Used in conjunction with the timeOffset parameter to page through
            the recent contacts. Every call to this endpoint will return a
            vid-offset value.
          schema:
            type: integer
        - name: property
          in: query
          required: false
          description: >-
            If you include the "property" parameter, then the properties in the
            "contact" object in the returned data will only include the property
            or properties that you request.
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of "value_only" or "value_and_history" to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property.
          schema:
            type: string
            enum:
              - value_only
              - value_and_history
            default: value_only
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of "all", "none", "newest", "oldest" to specify which form
            submissions should be fetched.
          schema:
            type: string
            enum:
              - all
              - none
              - newest
              - oldest
            default: newest
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean to indicate whether current list memberships should be
            fetched for the contact.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successful response with recently added contacts
          content:
            application/json:
              schema:
                type: object
                properties:
                  contacts:
                    type: array
                    items:
                      $ref: '#/components/schemas/Contact'
                  has-more:
                    type: boolean
                  vid-offset:
                    type: integer
                  time-offset:
                    type: integer
components:
  schemas:
    Contact:
      type: object
      properties:
        vid:
          type: integer
        canonical-vid:
          type: integer
        merged-vids:
          type: array
          items:
            type: integer
        portal-id:
          type: integer
        is-contact:
          type: boolean
        addedAt:
          type: integer
        properties:
          type: object
          additionalProperties:
            type: object
            properties:
              value:
                type: string
        form-submissions:
          type: array
          items:
            type: object
        identity-profiles:
          type: array
          items:
            type: object
        merge-audits:
          type: array
          items:
            type: object

````